ome-files 0.2.2

Public Member Functions | Protected Member Functions | List of all members
ome::files::MetadataConfigurable Class Referenceabstract

Metadata configuration interface. More...

`#include <ome/files/MetadataConfigurable.h>`

Inheritance diagram for ome::files::MetadataConfigurable:
[legend]

## Public Member Functions
virtual | ~MetadataConfigurable ()
| Destructor.
virtual const std::set< MetadataOptions::MetadataLevel > & | getSupportedMetadataLevels ()=0
| Get the supported metadata levels. More...
virtual void | setMetadataOptions (const MetadataOptions &options)=0
| Set metadata options. More...
virtual const MetadataOptions & | getMetadataOptions () const =0
| Get metadata options. More...
virtual MetadataOptions & | getMetadataOptions ()=0
| Get metadata options. More...

## Protected Member Functions
| MetadataConfigurable ()
| Constructor.

## Detailed Description

Metadata configuration interface.

## Member Function Documentation

## § getMetadataOptions() [1/2]

virtual const MetadataOptions& ome::files::MetadataConfigurable::getMetadataOptions | ( |  | ) | const
| pure virtual

Get metadata options.

Returns
  the current options.

Implemented in ome::files::detail::FormatReader.

## § getMetadataOptions() [2/2]

virtual MetadataOptions& ome::files::MetadataConfigurable::getMetadataOptions | ( |  | ) |
| pure virtual

Get metadata options.

Returns
  the current options.

Implemented in ome::files::detail::FormatReader.

## § getSupportedMetadataLevels()

virtual const std::set<MetadataOptions::MetadataLevel>& ome::files::MetadataConfigurable::getSupportedMetadataLevels | ( |  | ) |
| pure virtual

Get the supported metadata levels.

Returns
  a set of supported metadata levels.

Implemented in ome::files::detail::FormatReader.

## § setMetadataOptions()

virtual void ome::files::MetadataConfigurable::setMetadataOptions | ( | const MetadataOptions & | options | ) |
| pure virtual

Set metadata options.

Parameters

  options | the options to set.

Implemented in ome::files::detail::FormatReader.

The documentation for this class was generated from the following files:

- ome/files/MetadataConfigurable.h
- ome/files/MetadataConfigurable.cpp